import React, {Component} from "react";
import {Space, Slider, Button} from 'antd';
import Folder from "./Folder";
import MyBreadCrumb from "../MyBreadCrumb/MyBreadCrumb";
import File from "./File";

const data = [
    {
        key: '1',
        isFolder: true,
        name: '高等数学',
        tags: ['nice', 'developer'],
    },
    {
        key: '2',
        isFolder: false,
        name: 'Jim Green',
        tags: ['loser'],
    },
    {
        key: '3',
        isFolder: true,
        name: 'Joe Black',
        tags: ['cool', 'teacher'],
    },
];

class DiskPage extends Component {

    state = {
        size: 8
    }

    setSize = size => {
        this.setState({
            size: size
        })
    }

    render() {
        return (
            <div>
                {/*<MyBreadCrumb/>*/}
                <div className="site-layout-background" style={{marginTop: 20, padding: 24, minHeight: '82vh'}}>
                    <Slider value={this.state.size} onChange={value => this.setSize(value)}/>
                    <Space size={this.state.size}>
                        {
                            this.renderFolderList(data)
                        }
                        {
                            this.renderFileList(data)
                        }
                    </Space>
                </div>
            </div>
        )
    }

    renderFolderList(dataList) {
        return dataList.map((ele, index) => {
            return (
                ele.isFolder ?
                    <div
                        key={index}
                        // onDoubleClick={ele.isFolder ? () => this.cdFolder(ele.Key, ele.Title) : null}
                    >
                        <Folder ele={ele}/>
                    </div> : null
            );
        });
    }

    renderFileList(dataList) {
        return dataList.map((ele, index) => {
            return (
                ele.isFolder ? null :
                    <div>
                        <File ele={ele}/>
                    </div>
            );
        });
    }
}

export default DiskPage;