import React, {Component} from "react";
import {FolderOpenTwoTone, FolderTwoTone} from "@ant-design/icons";
import './Folder.less';
import {Dropdown, Menu} from "antd";

class Folder extends Component {
    state = {
        isOver: false
    }
    onMouseOver = () => {
        this.setState({
            isOver: true
        })
    }
    onMouseOut = () => {
        this.setState({
            isOver: false
        })
    }

    render() {
        let {isOver} = this.state
        const ele = this.props.ele
        const menu = (
            <Menu>
                <Menu.Item key="open">
                    <a href="https://www.antgroup.com">Open Folder</a>
                </Menu.Item>
            </Menu>
        );
        return (
            <div className={'folder' + (isOver ? '-over' : '')} onMouseEnter={this.onMouseOver}
                 onMouseLeave={this.onMouseOut}>
                {
                    isOver ? <div className={'folder-options'}>
                        <Dropdown overlay={menu} trigger={['click']} placement="bottomLeft" arrow>
                            <a className="dropdown-link" onClick={e => e.preventDefault()}>
                                &nbsp;·&nbsp;·&nbsp;·&nbsp;
                            </a>
                        </Dropdown>
                    </div> : <div>

                    </div>
                }
                {
                    isOver ? <FolderOpenTwoTone className={'folder-logo'}/> :
                        <FolderTwoTone className={'folder-logo'}/>
                }
                <div className={'folder-name'}>
                    {ele.name}
                </div>
                <div className={'folder-date'}>
                    2019/8/8
                </div>
            </div>
        )
    }
}

export default Folder;